<head>
  <title>multiple Lines</title>
  <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
</head>
<body>
  <div id="myDiv"></div>
  <script>
    var trace1 = {
      x: [1, 2, 3, 4],
      y: [10, 15, 13, 17],
      mode: "markers",
      name: "Scatter",
    };

    var trace2 = {
      x: [2, 3, 4, 5],

      y: [16, 5, 11, 9],
      my_value:1000,

      mode: "lines + scatter",
      line: {shape: 'spline'},

      name: "Lines with spline",
    };

    var trace3 = {
      x: [1, 2, 3, 4],

      y: [12, 9, 15, 12],

      middle_value:0,
   
      mode: "lines+markers",

      name: "Scatter + Lines",
    };

    var data = [trace1, trace2, trace3];

    var layout = {
      title: "Adding Names to Line and Scatter Plot",
    };

    Plotly.newPlot("myDiv", data, layout);
  </script>
</body>
